Subject: Re: linux-next: build warning after merge of the sound-asoc tree

From: Pierre-Louis Bossart <[email-masked]>
Date: Fri, 29 May 2020 09:27:22 -0500

On 5/29/20 8:55 AM, Pierre-Louis Bossart wrote:
> 
> 
> On 5/29/20 8:30 AM, Mark Brown wrote:
>> On Thu, May 28, 2020 at 01:57:17PM +1000, Stephen Rothwell wrote:
>>> Hi all,
>>>
>>> After merging the sound-asoc tree, today's linux-next build (x86_64
>>> allmodconfig) produced this warning:
>>>
>>> sound/soc/sof/intel/byt.c:464:12: warning: 'byt_remove' defined but 
>>> not used [-Wunused-function]
>>>    464 | static int byt_remove(struct snd_sof_dev *sdev)
>>>        |            ^~~~~~~~~~
>>> sound/soc/sof/intel/byt.c:454:12: warning: 'byt_resume' defined but 
>>> not used [-Wunused-function]
>>>    454 | static int byt_resume(struct snd_sof_dev *sdev)
>>>        |            ^~~~~~~~~~
>>> sound/soc/sof/intel/byt.c:447:12: warning: 'byt_suspend' defined but 
>>> not used [-Wunused-function]
>>>    447 | static int byt_suspend(struct snd_sof_dev *sdev, u32 
>>> target_state)
>>>        |            ^~~~~~~~~~~
>>>
>>> Introduced by commits
>>>
>>>    ddcccd543f5d ("ASoC: SOF: Intel: byt: Add PM callbacks")
>>>    c691f0c6e267 ("ASoC: SOF: Intel: BYT: add .remove op")
>>
>> Ranjani, Pierre?
> 
> Humm, I am not sure what happened here or why kbuild didn't report this 
> earlier. This was added in
> 
> ddcccd543f5dbd ('ASoC: SOF: Intel: byt: Add PM callbacks')
> 
> And I do see them used in the code:
> 
> sound/soc/sof/intel/byt.c
> 
>      /* PM */
>      .suspend = byt_suspend,
>      .resume = byt_resume,
> 
> Will run a check and fix ASAP, my guess it's a Kconfig issue or the 
> functions not protected by the usual SND_SOC_SOF_BAYTRAIL.

it's both. allmodconfig disables SND_SOC_SOF_BAYTRAIL due to mutual 
exclusion with the legacy driver, but enables SND_SOC_SOF_MERRIFIELD 
(this should be fixed in a separate patch) and in this case we haven't 
tested suspend/resume on merrifield so didn't use this code. Will send a 
patch shortly.